﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	Dim Intent1 As Intent
	Intent1 = Activity.GetStartingIntent

	If Intent1.Action = "android.intent.action.VIEW" Then    ' The activity has been called from outside the app
       
		Dim UriString As String = Intent1.GetData
		Dim Inp As InputStream  = File.OpenInput("ContentDir", UriString)
			
		Log("UriString: " & UriString)
		Dim Out As OutputStream = File.OpenOutput(File.DirInternal, "test.lps", False)

		File.copy2(Inp, Out)
		Inp.Close
		Out.Close
	End If
	
	Log(GetPathFromContentResult(UriString))
	
	Log("File exists: " & File.Exists(File.DirInternal, "test.lps"))

End Sub

Sub GetPathFromContentResult(UriString As String) As String
	
	If UriString.StartsWith("/") Then Return UriString 'If the user used a file manager to choose the image
	Dim Cursor1 As Cursor
	Dim Uri1 As Uri
	Dim Proj() As String = Array As String("_data")
	Dim cr As ContentResolver
	cr.Initialize("")
	If UriString.StartsWith("content://com.google.android.gm.sapi") Then
		Dim i As Int = UriString.IndexOf("%3A")
		Dim id As String = UriString.SubString(i + 3)
		Uri1.Parse("message_attachment_external")
		Cursor1 = cr.Query(Uri1, Proj, "_display_name = ?", Array As String(id), "")
	Else
		Uri1.Parse(UriString)
		Cursor1 = cr.Query(Uri1, Proj, "", Null, "")
	End If
	Cursor1.Position = 0
	Dim res As String
	res = Cursor1.GetString("_data")
	Cursor1.Close
	Return res
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
